#include <QtCore>

class MyTranslator : public QTranslator
{
public:
	MyTranslator(QObject *parent=0);
	~MyTranslator();
	QString translate(const char *context, const char *sourceText, const char *disambiguation = 0, int n = -1) const;
};

MyTranslator::MyTranslator(QObject *parent)
	: QTranslator(parent)
{
}

MyTranslator::~MyTranslator()
{
}

QString MyTranslator::translate(const char* /*context*/, const char *sourceText, const char * /*disambiguation*/, int n) const {
	QString translation;
	translation = "Hallo";
	return translation;
}

int main(int argc, char **argv)
{
    QCoreApplication app(argc, argv);
    QTranslator *translator = new MyTranslator(&app);
    QCoreApplication::installTranslator(translator);
    fprintf(stdout, app.tr("hello").toUtf8());
    fprintf(stdout, "\n");
}
